diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
index 17b3d01b..0eea707b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
@@ -9,58 +9,55 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as tables_utils
 
 
-class TableDeleteTestCase(BaseTestGenerator):
-    """This class will delete new table under schema node."""
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Delete Table', dict(url='/browser/table/obj/'))
-    ]
+class TestTableDelete:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_table_delete(self, context_of_tests):
+        """
+        When the table delete request is sent to the backend
+        it returns 200 status
+        """
+
+        url = '/browser/table/obj/'
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a table.")
-        self.table_name = "test_table_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
+            raise Exception("Could not find the schema to delete a table.")
 
-    def runTest(self):
-        """This function will delete added table under schema node."""
-        table_response = tables_utils.verify_table(self.server, self.db_name,
-                                                   self.table_id)
+        table_name = "test_table_delete_%s" % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+
+        table_response = tables_utils.verify_table(server, db_name,
+                                                   table_id)
         if not table_response:
             raise Exception("Could not find the table to delete.")
-        response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
-                                      '/' + str(self.server_id) + '/' +
-                                      str(self.db_id) + '/' +
-                                      str(self.schema_id) + '/' +
-                                      str(self.table_id),
+
+        response = http_client.delete(url + str(utils.SERVER_GROUP) +
+                                      '/' + str(server_id) + '/' +
+                                      str(db_id) + '/' +
+                                      str(schema_id) + '/' +
+                                      str(table_id),
                                       follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
index bab21fdd..6fbb69f4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
@@ -9,54 +9,50 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as tables_utils
 
 
-class TableGetTestCase(BaseTestGenerator):
-    """This class will add new collation under schema node."""
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Fetch table Node URL', dict(url='/browser/table/obj/'))
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+class TestTableGet:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_table_get(self, context_of_tests):
+        """
+        When the table get request is sent to the backend
+        it returns 200 status
+        """
+
+        url = '/browser/table/obj/'
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "test_table_get_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-
-    def runTest(self):
-        """This function will delete added table under schema node."""
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) +
-                                   '/' + str(self.server_id) + '/' +
-                                   str(self.db_id) + '/' +
-                                   str(self.schema_id) + '/' +
-                                   str(self.table_id),
+
+        table_name = "test_table_get_%s" % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+
+        response = http_client.get(url + str(utils.SERVER_GROUP) +
+                                   '/' + str(server_id) + '/' +
+                                   str(db_id) + '/' +
+                                   str(schema_id) + '/' +
+                                   str(table_id),
                                    follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
index 63f73eae..5b555c6f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_put.py
@@ -10,135 +10,150 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.base_test_generator import PostgresVersion
 from regression.python_test_utils import test_utils as utils
 from . import utils as tables_utils
 
 
-class TableUpdateTestCase(BaseTestGenerator):
-    """This class will add new collation under schema node."""
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Update Table', dict(url='/browser/table/obj/')),
-        ('Create partitions of existing range partitioned table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='range',
-              mode='create'
-              )
-         ),
-        ('Create partitions of existing list partitioned table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='list',
-              mode='create'
-              )
-         ),
-        ('Detach partition from existing range partitioned table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='range',
-              mode='detach'
-              )
-         ),
-        ('Detach partition from existing list partitioned table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='list',
-              mode='detach'
-              )
-         ),
-        ('Attach partition to existing range partitioned table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='range',
-              mode='attach'
-              )
-         ),
-        ('Attach partition to existing list partitioned table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='list',
-              mode='attach'
-              )
-         )
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a table.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
-        if not schema_response:
-            raise Exception("Could not find the schema to add a table.")
+class TestTablePut:
+    def set_up(self, context_of_tests):
+        self.url = '/browser/table/obj/'
+
+        self.tester = context_of_tests['test_client']
+
+        self.server = context_of_tests['server']
+        self.server_data = context_of_tests['server_information']
+        self.db_name = self.server_data['db_name']
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.schema_id = self.server_data['schema_id']
+        self.schema_name = self.server_data['schema_name']
+        self.schema_response = schema_utils.verify_schemas(
+            self.server,
+            self.db_name,
+            self.schema_name
+        )
+
+        if not self.schema_response:
+            raise Exception("Could not find the schema to update table.")
+
         self.table_name = "test_table_put_%s" % (str(uuid.uuid4())[1:8])
 
-        self.is_partition = False
-        if hasattr(self, 'server_min_version'):
-            server_con = server_utils.connect_server(self, self.server_id)
-            if not server_con["info"] == "Server connected.":
-                raise Exception("Could not connect to server to add "
-                                "partitioned table.")
-            if server_con["data"]["version"] < self.server_min_version:
-                message = "Partitioned table are not supported by " \
-                          "PPAS/PG 10.0 and below."
-                self.skipTest(message)
-            else:
-                self.is_partition = True
-
-            self.table_id = tables_utils.create_table_for_partition(
-                self.server,
-                self.db_name,
-                self.schema_name,
-                self.table_name,
-                'partitioned',
-                self.partition_type)
-        else:
-            self.table_id = tables_utils.create_table(
-                self.server, self.db_name,
-                self.schema_name,
-                self.table_name)
-
-    def runTest(self):
-        """This function will fetch added table under schema node."""
+    def set_up_partition_and_mode(self, partition_type,
+                                  mode):
+
+        self.table_id = tables_utils.create_table_for_partition(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            self.table_name,
+            'partitioned',
+            partition_type)
+
         table_response = tables_utils.verify_table(self.server, self.db_name,
                                                    self.table_id)
+
         if not table_response:
             raise Exception("Could not find the table to update.")
 
-        if self.is_partition:
-            data = {"id": self.table_id}
-            tables_utils.set_partition_data(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.partition_type, data, self.mode)
-        else:
-            data = {
-                "description": "This is test comment for table",
-                "id": self.table_id
-            }
+        self.data = {"id": self.table_id}
+        tables_utils.set_partition_data(
+            self.server, self.db_name, self.schema_name, self.table_name,
+            partition_type, self.data, mode)
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_table_put(self, context_of_tests):
+        """
+        When the table put request is sent to the backend
+        it returns 200 status
+        """
+
+        self.set_up(context_of_tests)
+
+        self.table_id = tables_utils.create_table(
+            self.server, self.db_name,
+            self.schema_name,
+            self.table_name)
+
+        table_response = tables_utils.verify_table(self.server, self.db_name,
+                                                   self.table_id)
+
+        if not table_response:
+            raise Exception("Could not find the table to update.")
+
+        data = {
+            "description": "This is test comment for table",
+            "id": self.table_id
+        }
 
         response = self.tester.put(
             self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) + '/' +
-            str(self.schema_id) + '/' + str(self.table_id),
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.table_id),
             data=json.dumps(data), follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+
+    @pytest.mark.usefixtures('require_database_connection')
+    @pytest.mark.parametrize(
+        'partition_type, mode', [
+            (
+                'range',
+                'create'
+            ),
+            (
+                'list',
+                'create'
+            ),
+            (
+                'range',
+                'detach'
+            ),
+            (
+                'list',
+                'detach'
+            ),
+            (
+                'range',
+                'attach'
+            ),
+            (
+                'list',
+                'attach'
+            )
+        ]
+    )
+    @pytest.mark.skip_if_postgres_version({'below_version':
+                                           PostgresVersion.v10},
+                                          "Event triggers are not supported "
+                                          "by PG10 ")
+    def test_table_put_partitioned(self,
+                                   context_of_tests,
+                                   partition_type,
+                                   mode):
+        """
+        When the table put request is sent to
+        a partition table
+        it returns 200 status
+        """
+
+        self.set_up(context_of_tests)
+
+        self.set_up_partition_and_mode(partition_type, mode)
+
+        response = self.tester.put(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.table_id),
+            data=json.dumps(self.data), follow_redirects=True)
+
+        response.status_code | should.be.equal.to(200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
index 371a2f58..96762ab1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_acl_sql.py
@@ -8,55 +8,67 @@
 ##########################################################################
 
 import os
+
+import pytest
+from grappa import should
+
+from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
-
-
-class TestTablesAclSql(SQLTemplateTestBase):
-    scenarios = [
-        ("Test query returns the permissions when there are permissions set up"
-         " on the table", dict())
-    ]
-
-    def __init__(self):
-        super(TestTablesAclSql, self).__init__()
-        self.table_id = -1
-
-    def test_setup(self, connection, cursor):
-        cursor.execute("GRANT SELECT ON test_table TO PUBLIC")
-        cursor = connection.cursor()
-        cursor.execute("SELECT oid FROM pg_class WHERE relname='test_table'")
-        self.table_id = cursor.fetchone()[0]
-
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "acl.sql")
-        template = file_as_template(template_file)
-        public_schema_id = 2200
-        sql = template.render(scid=public_schema_id,
-                              tid=self.table_id)
-        return sql
-
-    def assertions(self, fetch_result, descriptions):
-        public_acls = list(
-            filter(lambda acl: acl[1] == 'PUBLIC', fetch_result)
-        )
-        self.assertEqual(len(public_acls), 1)
 
-        new_acl_map = dict(
-            zip(map(lambda column: column.name, descriptions), public_acls[0])
-        )
 
-        self.assertEqual('PUBLIC', new_acl_map['grantee'])
-        self.assertEqual(self.server['username'], new_acl_map['grantor'])
-        self.assertEqual('relacl', new_acl_map['deftype'])
-        self.assertEqual(['r'], new_acl_map['privileges'])
-        self.assertEqual([False], new_acl_map['grantable'])
-        return public_acls
+@pytest.mark.database
+class TestTablesAclSql:
+    def test_execute_acl_sql(self, context_of_tests):
+        """
+        When all parameters are present
+        It executes the query that retrieves the ACL for a table
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
+
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
+
+            cursor = connection.cursor()
+            cursor.execute('GRANT SELECT ON test_table TO PUBLIC')
+            cursor = connection.cursor()
+            cursor.execute(
+                'SELECT oid FROM pg_class WHERE relname=\'test_table\'')
+            table_id = cursor.fetchone()[0]
+
+            for version in versions_to_test:
+                template_file = self.get_template_file(version, 'acl.sql')
+                template = file_as_template(template_file)
+                public_schema_id = 2200
+                sql = template.render(scid=public_schema_id,
+                                      tid=table_id)
+
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
+
+                public_acls = list(
+                    filter(lambda acl: acl[1] == 'PUBLIC', fetch_result)
+                )
+                public_acls | should.have.length(1)
+
+                new_acl_map = dict(
+                    zip(map(lambda column: column.name, cursor.description),
+                        public_acls[0])
+                )
+
+                new_acl_map['grantee'] | should.be.equal.to('PUBLIC')
+                new_acl_map['grantor'] | should.be.equal.to(server['username'])
+                new_acl_map['deftype'] | should.be.equal.to('relacl')
+                new_acl_map['privileges'] | should.be.equal.to(['r'])
+                new_acl_map['grantable'] | should.be.equal.to([False])
 
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "table", "sql",
+            os.path.dirname(__file__), '..', 'templates', 'table', 'sql',
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
index 10888f82..8fdb068c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
@@ -10,50 +10,64 @@
 import os
 import sys
 
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
+import pytest
+from grappa import should
+
+from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 
 if sys.version_info[0] >= 3:
     long = int
 
 
-class TestTablesNodeSql(SQLTemplateTestBase):
-    scenarios = [
-        ("This scenario tests that all applicable sql template versions can "
-         "fetch table names", dict())
-    ]
+@pytest.mark.database
+class TestTablesNodeSql:
+    def test_retrieval_of_all_table_node(self, context_of_tests):
+        """
+        When all parameters are present
+        It executes a query in the database to retrieve all table names
+        """
+        server = context_of_tests['server']
+
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
 
-    def test_setup(self, connection, cursor):
-        pass
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
 
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "nodes.sql")
-        template = file_as_template(template_file)
-        public_schema_id = 2200
-        sql = template.render(scid=public_schema_id)
-        return sql
+            for version in versions_to_test:
+                template_file = self.get_template_file(
+                    version,
+                    'nodes.sql')
+                template = file_as_template(template_file)
+                public_schema_id = 2200
+                sql = template.render(scid=public_schema_id)
 
-    def assertions(self, fetch_result, descriptions):
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
 
-        first_row = {}
-        for index, description in enumerate(descriptions):
-            first_row[description.name] = fetch_result[0][index]
+                first_row = {}
+                for index, description in enumerate(cursor.description):
+                    first_row[description.name] = fetch_result[0][index]
 
-        oid = first_row['oid']
-        name = first_row['name']
-        triggercount = first_row['triggercount']
-        has_enable_triggers = first_row['has_enable_triggers']
+                oid = first_row['oid']
+                name = first_row['name']
+                triggercount = first_row['triggercount']
+                has_enable_triggers = first_row['has_enable_triggers']
 
-        self.assertIsNotNone(long(oid))
-        self.assertEqual('test_table', name)
-        # triggercount is sometimes returned as a string for some reason
-        self.assertEqual(0, long(triggercount))
-        self.assertIsNotNone(long(has_enable_triggers))
+                long(oid) | should.not_be.none
+                name | should.be.equal.to('test_table')
+                # triggercount is sometimes returned as a
+                # string for some reason
+                long(triggercount) | should.be.equal.to(0)
+                long(has_enable_triggers) | should.not_be.none
 
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "table", "sql",
+            os.path.dirname(__file__), '..', 'templates', 'table', 'sql',
             version, filename
         )
